package com.qmth.teachcloud.exchange.common.bean.dto.flow;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.qmth.teachcloud.exchange.common.bean.result.flow.TFFlowLogResult;
import com.qmth.teachcloud.exchange.common.enums.flow.FlowApproveOperationEnum;
import com.qmth.teachcloud.exchange.common.enums.flow.FlowMsgTypeEnum;
import com.qmth.teachcloud.exchange.common.enums.flow.TFCustomTypeEnum;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @Description: 流程已办消息dto
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2023/6/14
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class DoneTaskDto extends TFFlowLogResult implements Serializable {

    @ApiModelProperty(value = "流程类型")
    TFCustomTypeEnum flowType;

    @ApiModelProperty(value = "流程操作")
    FlowApproveOperationEnum flowOperation;

    @ApiModelProperty(value = "消息类型")
    FlowMsgTypeEnum messageType;

    @ApiModelProperty(value = "待办链接")
    String url;

    @ApiModelProperty(value = "移动待办链接")
    String mobileUrl;

    public TFCustomTypeEnum getFlowType() {
        return flowType;
    }

    public void setFlowType(TFCustomTypeEnum flowType) {
        this.flowType = flowType;
    }

    public FlowApproveOperationEnum getFlowOperation() {
        return flowOperation;
    }

    public void setFlowOperation(FlowApproveOperationEnum flowOperation) {
        this.flowOperation = flowOperation;
    }

    public FlowMsgTypeEnum getMessageType() {
        return messageType;
    }

    public void setMessageType(FlowMsgTypeEnum messageType) {
        this.messageType = messageType;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getMobileUrl() {
        return mobileUrl;
    }

    public void setMobileUrl(String mobileUrl) {
        this.mobileUrl = mobileUrl;
    }
}
